package com.ruoyi.ehsRescueTeam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsRescueTeam.domain.EhsRescueTeam;
import com.ruoyi.ehsRescueTeam.domain.RescueTeamImportTemplate;
import com.ruoyi.ehsRescueTeam.vo.TeamResponseVo;

import java.util.List;

/**
 * 应急救援队伍管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-11
 */
public interface IEhsRescueTeamService extends IService<EhsRescueTeam> {

    /**
     * 查询应急救援队伍管理
     *
     * @param id 应急救援队伍管理主键
     * @return 应急救援队伍管理
     */
    public EhsRescueTeam selectEhsRescueTeamById(Long id);

    /**
     * 查询应急救援队伍管理列表
     *
     * @param ehsRescueTeam 应急救援队伍管理
     * @return 应急救援队伍管理集合
     */
    public List<EhsRescueTeam> selectEhsRescueTeamList(EhsRescueTeam ehsRescueTeam);

    /**
     * 导入模板数据
     * @param list
     * @param updateSupport
     * @return
     */
    public String importRescueTeam(List<EhsRescueTeam> list, Boolean updateSupport) throws Exception;

    /**
     * 应急救援:根据队伍id获取队伍信息
     */
    public TeamResponseVo getTeamInfoByTeamId(Long rescueTeamId);
}
